Subject: Re: [idn] Re: hostname history hell

From: Eric Brunner-Williams in Portland Maine <[email-masked]>
Date: Tue, 20 Nov 2001 16:20:39 -0500

> > as i thought, "3.*." was both valid, post-1123, and worked too.
> 
> There is a RFC 1591 rule/ comment that notes that no TLD has an
> all-numeric name and implies that one would never be approved.

1591 Domain Name System Structure and Delegation. J. Postel. March
     1994. (Format: TXT=16481 bytes) (Status: INFORMATIONAL)

informational, not normative, and reflecting a nation-state's policy of the
epoch, not the dns. modernly, see 2606.

2606 Reserved Top Level DNS Names. D. Eastlake, A. Panitz. June 1999.
     (Format: TXT=8008 bytes) (Also BCP0032) (Status: BEST CURRENT
     PRACTICE)

> 1591 is also, if I recall, where the "one character" prohibition
> originates.

I'm rather fond of 1591, partuclarly section 3. The word "duty" sits there
in splendid isolation.

Given a choice between a.isi.edu, and sections 2, or 4, of 1591, I'll pick
"a host". s/prohibition/advisory/

> people and applications might have trouble figuring out whether
> 10.250.250.1 is a DNS name or an [IPv4] address.

One things for sure, whatever ".1." is, it isn't a 3166 code point.

Use of numeric hostnames is not surprising, e.g., 3721.com, for lots
of reasons. Anyway, neither people nor apps are the dns.

> > when bill, donald, and i were working on what became 2929 we
> > discussed 2-octet lables (first left of ".") that were outside
> > of the current 3166 set, both as 7-bit and as 8-bit labels.
> > there was no reason other than convention, and now icann, to
> > not use ".3." as the first label after dot, at least in theory.
> 
> As long as 1591 is considered "convention", this is certainly
> correct.

2929, section 3.3, RR NAME Considerations, final para:

   A somewhat dated description of name allocation in the IN Class is
   given in [RFC 1591].  Some information on reserved top level domain
   names is in Best Current Practice 32 [RFC 2606].
   
>      john

eric

---

From: John C Klensin <[email-masked]>
Date: Tue, 20 Nov 2001 17:16:15 -0500

--On Tuesday, 20 November, 2001 16:20 -0500 Eric
Brunner-Williams in Portland Maine <[email-masked]> wrote:

> 1591 Domain Name System Structure and Delegation. J. Postel.
> March      1994. (Format: TXT=16481 bytes) (Status:
> INFORMATIONAL)
> 
> informational, not normative, and reflecting a nation-state's
> policy of the epoch, not the dns. modernly, see 2606.

Eric,

This is a dead horse that is not, IMO, worth kicking.  BCP did
not exist at the time, and probably would not have been used
anyway.  RFC 1591 was an IANA policy statement.  Neither it, nor
any of the other IANA policy documents went through the IETF
process (although most or all were reviewed by most of the IAB,
which was the standards-approving body at the time).  The RFC
Editor considered all of them to be informational --they
provided information to the community about what the IANA was
doing-- just as it considered its/their own policy documents
informational.  But those "informational" documents had, in many
respects, far more authority than "standards".   Standards were
voluntary; compliance, at the top level, with IANA policy
statements was mandatory, as many people, yourself included if I
recall, who tried to obtain top-level "country code" domains for
entities not on the 3166 list found out.

So the hair-splitting you are attempting here really does not
usefully work, IMO.

>> people and applications might have trouble figuring out
>> whether 10.250.250.1 is a DNS name or an [IPv4] address.
 
> One things for sure, whatever ".1." is, it isn't a 3166 code

Indeed.  But Jon also flatly refused to consider
single-character TLD names, for reasons discussed elsewhere.
Only the two-character ones were required to be 3166 alpha-1
codes.  So 10.250.250.250 might have been a better example, but
I assume(d) everyone would get the point.

> Use of numeric hostnames is not surprising, e.g., 3721.com,
> for lots of reasons. Anyway, neither people nor apps are the
> dns.

Yes. But ignoring the apps gets the IDN WG into a silly state
(and has, already, several times).

     john

---

From: Eric Brunner-Williams in Portland Maine <[email-masked]>
Date: Tue, 20 Nov 2001 17:43:46 -0500

> anyway.

Correct. Things have changed. 954 has UNKNOWN as a status, which is
pretty funny, given all the heat surrounding that subject. However,
2606 is a product of the IETF, and 1591 isn't.

...
> entities not on the 3166 list found out.

Indians have been trying to get into .int, and have been getting into .com,
before Jon and I began a conversation unfortunately terminated prematurely.

I wouldn't consider the IANA policy mandatory, simply expensive to ignore.
The alternate-rooters were all keen to have Indians, even some Indians were
keen to act autonomously, but we're a fairly neighbor-respecting lot, and
patient.

> So the hair-splitting you are attempting here really does not

Let's stick to the technical please, either 0x33, prepended by, and/or
postfixed by 0xe2, is or isn't something. Now if you want to really
fix this "problem", just fix 2929.

> (and has, already, several times).

So for a change, lets ignore the dns. Oh, that's been tried here too.

eric